Difference between revisions of "Implementations/WebKit"

From WebGL Public Wiki
Jump to navigation Jump to search
(Revised information to describe WebGL 2 support in Safari 15)
 
(7 intermediate revisions by one other user not shown)
Line 1: Line 1:
 
== Availability ==
 
== Availability ==
  
* Runs on Mac with Leopard or Snow Leopard
+
WebGL 1.0 and 2.0 are supported on all modern macOS hardware as of Safari 15. See [[Getting a WebGL Implementation]] for more information.
# Go to http://nightly.webkit.org/ and download the latest nightly build for Mac
 
# Open Terminal and type:
 
  
defaults write com.apple.Safari WebKitWebGLEnabled -bool YES
+
Historical information:
 
+
* Runs on Mac with Leopard, Snow Leopard, or Lion
Now run the nightly build and you can view the demos!
+
# Install Safari 5.1 from http://apple.com/safari (comes already installed on Lion)
 +
# Open Preferences, click on Advanced tab and check ''Show Develop menu in menu bar''
 +
# In menu bar make sure Develop->Enable WebGL is checked
  
 
== Status ==
 
== Status ==
  
* Context name: '''experimental-webgl''' or '''webkit-3d'''
+
* Context name: ''webgl'' or ''webgl2''
  
 
== Reporting Bugs ==
 
== Reporting Bugs ==
 +
 +
Use [https://bugs.webkit.org/ WebKit bugzilla] to file a bug.

Latest revision as of 00:12, 23 July 2022

Availability

WebGL 1.0 and 2.0 are supported on all modern macOS hardware as of Safari 15. See Getting a WebGL Implementation for more information.

Historical information:

  • Runs on Mac with Leopard, Snow Leopard, or Lion
  1. Install Safari 5.1 from http://apple.com/safari (comes already installed on Lion)
  2. Open Preferences, click on Advanced tab and check Show Develop menu in menu bar
  3. In menu bar make sure Develop->Enable WebGL is checked

Status

  • Context name: webgl or webgl2

Reporting Bugs

Use WebKit bugzilla to file a bug.